
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

BACKUP_FILE=(inittab rc.conf logrotate.d/openrc)
BACKUP_CONF=(bootmisc consolefont devfs dmesg fsck hostname hwclock keymaps killprocs localmount modules mtab net-online netmount network staticroute tmpfiles urandom)

for file in "${BACKUP_FILE[@]}"; do
  config "etc/${file}.new"
done

for file in "${BACKUP_CONF[@]}"; do
  config "etc/conf.d/${file}.new"
done
( cd sbin ; rm -rf openrc-run )
( cd sbin ; ln -sf /sbin/openrc openrc-run )
( cd sbin ; rm -rf rc )
( cd sbin ; ln -sf /sbin/openrc rc )
( cd sbin ; rm -rf rc-service )
( cd sbin ; ln -sf /sbin/openrc rc-service )
( cd sbin ; rm -rf start-stop-daemon )
( cd sbin ; ln -sf /sbin/openrc start-stop-daemon )
( cd sbin ; rm -rf runscript )
( cd sbin ; ln -sf /sbin/openrc runscript )
( cd sbin ; rm -rf rc-update )
( cd sbin ; ln -sf /sbin/openrc rc-update )
( cd sbin ; rm -rf rc-sstat )
( cd sbin ; ln -sf /usr/libexec/rc/bin/rc-sstat rc-sstat )
( cd sbin ; rm -rf service )
( cd sbin ; ln -sf /sbin/openrc service )
( cd etc/runlevels/boot ; rm -rf swapfiles )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/swapfiles swapfiles )
( cd etc/runlevels/boot ; rm -rf staticroute )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/staticroute staticroute )
( cd etc/runlevels/boot ; rm -rf root )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/root root )
( cd etc/runlevels/boot ; rm -rf localmount )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/localmount localmount )
( cd etc/runlevels/boot ; rm -rf hostname )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/hostname hostname )
( cd etc/runlevels/boot ; rm -rf urandom )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/urandom urandom )
( cd etc/runlevels/boot ; rm -rf binfmt )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/binfmt binfmt )
( cd etc/runlevels/boot ; rm -rf fsck )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/fsck fsck )
( cd etc/runlevels/boot ; rm -rf network )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/network network )
( cd etc/runlevels/boot ; rm -rf hwclock )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/hwclock hwclock )
( cd etc/runlevels/boot ; rm -rf sysctl )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/sysctl sysctl )
( cd etc/runlevels/boot ; rm -rf keymaps )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/keymaps keymaps )
( cd etc/runlevels/boot ; rm -rf modules )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/modules modules )
( cd etc/runlevels/boot ; rm -rf bootmisc )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/bootmisc bootmisc )
( cd etc/runlevels/boot ; rm -rf loopback )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/loopback loopback )
( cd etc/runlevels/boot ; rm -rf procfs )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/procfs procfs )
( cd etc/runlevels/boot ; rm -rf termencoding )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/termencoding termencoding )
( cd etc/runlevels/boot ; rm -rf tmpfiles.setup )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/tmpfiles.setup tmpfiles.setup )
( cd etc/runlevels/boot ; rm -rf swap )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/swap swap )
( cd etc/runlevels/boot ; rm -rf mtab )
( cd etc/runlevels/boot ; ln -sf /etc/init.d/mtab mtab )
( cd etc/runlevels/shutdown ; rm -rf savecache )
( cd etc/runlevels/shutdown ; ln -sf /etc/init.d/savecache savecache )
( cd etc/runlevels/shutdown ; rm -rf killprocs )
( cd etc/runlevels/shutdown ; ln -sf /etc/init.d/killprocs killprocs )
( cd etc/runlevels/shutdown ; rm -rf mount-ro )
( cd etc/runlevels/shutdown ; ln -sf /etc/init.d/mount-ro mount-ro )
( cd etc/runlevels/sysinit ; rm -rf devfs )
( cd etc/runlevels/sysinit ; ln -sf /etc/init.d/devfs devfs )
( cd etc/runlevels/sysinit ; rm -rf sysfs )
( cd etc/runlevels/sysinit ; ln -sf /etc/init.d/sysfs sysfs )
( cd etc/runlevels/sysinit ; rm -rf tmpfiles.dev )
( cd etc/runlevels/sysinit ; ln -sf /etc/init.d/tmpfiles.dev tmpfiles.dev )
( cd etc/runlevels/sysinit ; rm -rf dmesg )
( cd etc/runlevels/sysinit ; ln -sf /etc/init.d/dmesg dmesg )
( cd etc/runlevels/default ; rm -rf netmount )
( cd etc/runlevels/default ; ln -sf /etc/init.d/netmount netmount )
( cd etc/runlevels/default ; rm -rf local )
( cd etc/runlevels/default ; ln -sf /etc/init.d/local local )
( cd etc/init.d ; rm -rf functions.sh )
( cd etc/init.d ; ln -sf /usr/libexec/rc/sh/functions.sh functions.sh )
( cd usr/lib64 ; rm -rf libeinfo.so )
( cd usr/lib64 ; ln -sf libeinfo.so.1 libeinfo.so )
( cd usr/lib64 ; rm -rf librc.so )
( cd usr/lib64 ; ln -sf librc.so.1 librc.so )
( cd usr/man/man3 ; rm -rf rc_stringlist_free.3.gz )
( cd usr/man/man3 ; ln -sf rc_stringlist.3.gz rc_stringlist_free.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_order.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_order.3.gz )
( cd usr/man/man3 ; rm -rf einfov.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz einfov.3.gz )
( cd usr/man/man3 ; rm -rf ewarnn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewarnn.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_value_set.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_value_set.3.gz )
( cd usr/man/man3 ; rm -rf ewarn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewarn.3.gz )
( cd usr/man/man3 ; rm -rf ebeginn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ebeginn.3.gz )
( cd usr/man/man3 ; rm -rf einfon.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz einfon.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_free.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_free.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_daemons_crashed.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_daemons_crashed.3.gz )
( cd usr/man/man3 ; rm -rf einfovn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz einfovn.3.gz )
( cd usr/man/man3 ; rm -rf rc_runlevel_list.3.gz )
( cd usr/man/man3 ; ln -sf rc_runlevel.3.gz rc_runlevel_list.3.gz )
( cd usr/man/man3 ; rm -rf ebeginv.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ebeginv.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_plugable.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_plugable.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_delete.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_delete.3.gz )
( cd usr/man/man3 ; rm -rf eoutdentv.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eoutdentv.3.gz )
( cd usr/man/man3 ; rm -rf rc_runlevel_stopping.3.gz )
( cd usr/man/man3 ; ln -sf rc_runlevel.3.gz rc_runlevel_stopping.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_update_needed.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_update_needed.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_state.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_state.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_extra_commands.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_extra_commands.3.gz )
( cd usr/man/man3 ; rm -rf rc_stringlist_delete.3.gz )
( cd usr/man/man3 ; ln -sf rc_stringlist.3.gz rc_stringlist_delete.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_add.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_add.3.gz )
( cd usr/man/man3 ; rm -rf ebracket.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ebracket.3.gz )
( cd usr/man/man3 ; rm -rf eindentv.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eindentv.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_depend.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_depend.3.gz )
( cd usr/man/man3 ; rm -rf eend.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eend.3.gz )
( cd usr/man/man3 ; rm -rf eprefix.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eprefix.3.gz )
( cd usr/man/man3 ; rm -rf eendv.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eendv.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_schedule_clear.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_schedule_clear.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_exists.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_exists.3.gz )
( cd usr/man/man3 ; rm -rf rc_config_load.3.gz )
( cd usr/man/man3 ; ln -sf rc_config.3.gz rc_config_load.3.gz )
( cd usr/man/man3 ; rm -rf rc_stringlist_new.3.gz )
( cd usr/man/man3 ; ln -sf rc_stringlist.3.gz rc_stringlist_new.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_schedule_start.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_schedule_start.3.gz )
( cd usr/man/man3 ; rm -rf ewendv.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewendv.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_update.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_update.3.gz )
( cd usr/man/man3 ; rm -rf rc_runlevel_set.3.gz )
( cd usr/man/man3 ; ln -sf rc_runlevel.3.gz rc_runlevel_set.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_depends.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_depends.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_resolve.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_resolve.3.gz )
( cd usr/man/man3 ; rm -rf rc_services_scheduled_by.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_services_scheduled_by.3.gz )
( cd usr/man/man3 ; rm -rf rc_config_value.3.gz )
( cd usr/man/man3 ; ln -sf rc_config.3.gz rc_config_value.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_value_get.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_value_get.3.gz )
( cd usr/man/man3 ; rm -rf rc_deptree_load.3.gz )
( cd usr/man/man3 ; ln -sf rc_deptree.3.gz rc_deptree_load.3.gz )
( cd usr/man/man3 ; rm -rf ewarnx.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewarnx.3.gz )
( cd usr/man/man3 ; rm -rf rc_runlevel_starting.3.gz )
( cd usr/man/man3 ; ln -sf rc_runlevel.3.gz rc_runlevel_starting.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_daemon_set.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_daemon_set.3.gz )
( cd usr/man/man3 ; rm -rf rc_stringlist_sort.3.gz )
( cd usr/man/man3 ; ln -sf rc_stringlist.3.gz rc_stringlist_sort.3.gz )
( cd usr/man/man3 ; rm -rf rc_stringlist_addu.3.gz )
( cd usr/man/man3 ; ln -sf rc_stringlist.3.gz rc_stringlist_addu.3.gz )
( cd usr/man/man3 ; rm -rf rc_services_in_state.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_services_in_state.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_description.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_description.3.gz )
( cd usr/man/man3 ; rm -rf ebegin.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ebegin.3.gz )
( cd usr/man/man3 ; rm -rf rc_config_list.3.gz )
( cd usr/man/man3 ; ln -sf rc_config.3.gz rc_config_list.3.gz )
( cd usr/man/man3 ; rm -rf ewarnv.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewarnv.3.gz )
( cd usr/man/man3 ; rm -rf rc_runlevel_get.3.gz )
( cd usr/man/man3 ; ln -sf rc_runlevel.3.gz rc_runlevel_get.3.gz )
( cd usr/man/man3 ; rm -rf rc_stringlist_add.3.gz )
( cd usr/man/man3 ; ln -sf rc_stringlist.3.gz rc_stringlist_add.3.gz )
( cd usr/man/man3 ; rm -rf eerror.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eerror.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_started_daemon.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_started_daemon.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_in_runlevel.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_in_runlevel.3.gz )
( cd usr/man/man3 ; rm -rf eoutdent.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eoutdent.3.gz )
( cd usr/man/man3 ; rm -rf rc_services_scheduled.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_services_scheduled.3.gz )
( cd usr/man/man3 ; rm -rf eindent.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eindent.3.gz )
( cd usr/man/man3 ; rm -rf eerrorx.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eerrorx.3.gz )
( cd usr/man/man3 ; rm -rf ewend.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewend.3.gz )
( cd usr/man/man3 ; rm -rf rc_yesno.3.gz )
( cd usr/man/man3 ; ln -sf rc_config.3.gz rc_yesno.3.gz )
( cd usr/man/man3 ; rm -rf rc_services_in_runlevel.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_services_in_runlevel.3.gz )
( cd usr/man/man3 ; rm -rf rc_service_mark.3.gz )
( cd usr/man/man3 ; ln -sf rc_service.3.gz rc_service_mark.3.gz )
( cd usr/man/man3 ; rm -rf ebeginvn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ebeginvn.3.gz )
( cd usr/man/man3 ; rm -rf ewarnvn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz ewarnvn.3.gz )
( cd usr/man/man3 ; rm -rf eerrorn.3.gz )
( cd usr/man/man3 ; ln -sf einfo.3.gz eerrorn.3.gz )
( cd usr/man/man3 ; rm -rf rc_runlevel_exists.3.gz )
( cd usr/man/man3 ; ln -sf rc_runlevel.3.gz rc_runlevel_exists.3.gz )
( cd usr/bin ; rm -rf rc-status )
( cd usr/bin ; ln -sf /sbin/openrc rc-status )
( cd usr/libexec/rc/bin ; rm -rf eval_ecolors )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc eval_ecolors )
( cd usr/libexec/rc/bin ; rm -rf service_set_value )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_set_value )
( cd usr/libexec/rc/bin ; rm -rf service_hotplugged )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_hotplugged )
( cd usr/libexec/rc/bin ; rm -rf vewarn )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc vewarn )
( cd usr/libexec/rc/bin ; rm -rf ewaitfile )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc ewaitfile )
( cd usr/libexec/rc/bin ; rm -rf is_older_than )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc is_older_than )
( cd usr/libexec/rc/bin ; rm -rf fstabinfo )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc fstabinfo )
( cd usr/libexec/rc/bin ; rm -rf veend )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc veend )
( cd usr/libexec/rc/bin ; rm -rf eend )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc eend )
( cd usr/libexec/rc/bin ; rm -rf service_wasinactive )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_wasinactive )
( cd usr/libexec/rc/bin ; rm -rf einfo )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc einfo )
( cd usr/libexec/rc/bin ; rm -rf service_starting )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_starting )
( cd usr/libexec/rc/bin ; rm -rf vebegin )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc vebegin )
( cd usr/libexec/rc/bin ; rm -rf service_crashed )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_crashed )
( cd usr/libexec/rc/bin ; rm -rf service_stopped )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_stopped )
( cd usr/libexec/rc/bin ; rm -rf service_stopping )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_stopping )
( cd usr/libexec/rc/bin ; rm -rf ewarnn )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc ewarnn )
( cd usr/libexec/rc/bin ; rm -rf rc-depend )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc rc-depend )
( cd usr/libexec/rc/bin ; rm -rf veoutdent )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc veoutdent )
( cd usr/libexec/rc/bin ; rm -rf shell_var )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc shell_var )
( cd usr/libexec/rc/bin ; rm -rf service_inactive )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_inactive )
( cd usr/libexec/rc/bin ; rm -rf eoutdent )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc eoutdent )
( cd usr/libexec/rc/bin ; rm -rf service_started )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_started )
( cd usr/libexec/rc/bin ; rm -rf ewarn )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc ewarn )
( cd usr/libexec/rc/bin ; rm -rf ebegin )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc ebegin )
( cd usr/libexec/rc/bin ; rm -rf esyslog )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc esyslog )
( cd usr/libexec/rc/bin ; rm -rf checkpath )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc checkpath )
( cd usr/libexec/rc/bin ; rm -rf get_options )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc get_options )
( cd usr/libexec/rc/bin ; rm -rf einfon )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc einfon )
( cd usr/libexec/rc/bin ; rm -rf save_options )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc save_options )
( cd usr/libexec/rc/bin ; rm -rf is_newer_than )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc is_newer_than )
( cd usr/libexec/rc/bin ; rm -rf veinfo )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc veinfo )
( cd usr/libexec/rc/bin ; rm -rf veindent )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc veindent )
( cd usr/libexec/rc/bin ; rm -rf ewend )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc ewend )
( cd usr/libexec/rc/bin ; rm -rf eerror )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc eerror )
( cd usr/libexec/rc/bin ; rm -rf mountinfo )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc mountinfo )
( cd usr/libexec/rc/bin ; rm -rf service_get_value )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_get_value )
( cd usr/libexec/rc/bin ; rm -rf eindent )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc eindent )
( cd usr/libexec/rc/bin ; rm -rf eerrorn )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc eerrorn )
( cd usr/libexec/rc/bin ; rm -rf vewend )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc vewend )
( cd usr/libexec/rc/bin ; rm -rf service_started_daemon )
( cd usr/libexec/rc/bin ; ln -sf /sbin/openrc service_started_daemon )
( cd usr/libexec/rc/sbin ; rm -rf swclock )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc swclock )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_starting )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_starting )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_inactive )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_inactive )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_wasinactive )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_wasinactive )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_failed )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_failed )
( cd usr/libexec/rc/sbin ; rm -rf rc-abort )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc rc-abort )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_started )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_started )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_stopping )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_stopping )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_hotplugged )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_hotplugged )
( cd usr/libexec/rc/sbin ; rm -rf mark_service_stopped )
( cd usr/libexec/rc/sbin ; ln -sf /sbin/openrc mark_service_stopped )
